#Constants

#Jenkins URL
JENKINS_URL = 'http://10.44.138.32:9090'

#Build Jobs
B_ORE = 'BUILD-ORE'
B_PDD = 'BUILD-PDD'
B_PDD_TOOLS = 'BUILD-PDD-TESTINGTOOLS'
B_STAS = 'BUILD-STAS'

#ON Build Jobs
OB_ORE_ = 'ONBUILD-ORE-32'
OB_ORE_64 = 'ONBUILD-ORE-64'
OBPDD_45 = 'ONBUILD-PDD-45'
OB_STAS_51X = 'ONBUILD-STAS-51X'

#ONSetup Jobs
OS_ORE_51X = 'ONSETUP-ORE-51X'
OS_ORE_64 = 'ONSETUP-ORE-64-TRUNK'
OS_PDD = 'ONSETUP-PDD'
OS_PDD_45 = 'ONSETUP-PDD-45'
OS_PDD_51X = 'ONSETUP-PDD-SYSTEM-51X'
OS_PDD = 'ONSETUP-PDD-SYSTEM-TRUNK'
OS_STAS_51X = 'ONSETUP-STAS-51X'
OS_STAS_64 = 'ONSETUP-STAS-TRUNK-64'
OS_SYOMS = 'ONSETUP-SYOMS-SYSTEM-TRUNK'

#Component Tests
CT_ORE = 'ONTEST-COMPONENT-ORE-TRUNK'
CT_PDD = 'ONTEST-COMPONENT-PDD'
CT_PDD45 = 'ONTEST-COMPONENT-PDD-45'
CT_SAAPI = 'ONTEST-COMPONENT-SAAPI-TRUNK'
CT_SCHEDULER = 'ONTEST-COMPONENT-SCHEDULER-TRUNK'
CT_STAS = 'ONTEST-COMPONENT-STAS-TRUNK'

#System Tests
ST_SYOMS = 'ONTEST-SYOMS-TRUNK'
ST_SYOMSALGO = 'ONTEST-SYOMSALGO-TRUNK'
ST_ADMIN = 'ONTEST-SYSTEM-ADMIN-TRUNK'
ST_EOS1 = 'ONTEST-SYSTEM-EOS1-TRUNK'
ST_EOS2 = 'ONTEST-SYSTEM-EOS2-TRUNK'
ST_GENERAL = 'ONTEST-SYSTEM-GENERAL-TRUNK'
ST_ORDERS = 'ONTEST-SYSTEM-ORDERS-TRUNK'
ST_POS = 'ONTEST-SYSTEM-POS-TRUNK'
ST_SANITY = 'ONTEST-SYSTEM-SANITY-TRUNK'
ST_SARA = 'ONTEST-SYSTEM-SARA-TRUNK'
ST_TOF = 'ONTEST-SYSTEM-TOF-TRUNK'
ST_XLINK = 'ONTEST-SYSTEM-XLINK-TRUNK'